The POS Customer Group object

Attributes

id string

Unique identifier for the object.

idx integer
pos_profile_id string required
customer_group string required
The POS Customer Group object
{
  "id": "p-o-s-customer-group_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "customer_group": "customer_group_example"
}
GET /api/accounts/p-o-s-customer-group?parent_id={id}

List pos customer groups by parent

Returns all pos customer groups belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of pos customer group objects belonging to the parent.

GET /api/accounts/p-o-s-customer-group?parent_id={id}
curl https://api.overplane.dev/api/accounts/p-o-s-customer-group?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-customer-group_abc123",
      "idx": 1,
      "pos_profile_id": "pos_profile_id_example",
      "customer_group": "customer_group_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-customer-group

Create a pos customer group

Creates a new pos customer group object.

Body parameters

idx integer
pos_profile_id string required
customer_group string required

Returns

Returns the newly created pos customer group object if the call succeeded.

POST /api/accounts/p-o-s-customer-group
curl https://api.overplane.dev/api/accounts/p-o-s-customer-group \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"pos_profile_id":"pos_profile_id_example","customer_group":"customer_group_example"}'
Response
{
  "id": "p-o-s-customer-group_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "customer_group": "customer_group_example"
}
PATCH /api/accounts/p-o-s-customer-group/{id}

Update a pos customer group

Updates the specified pos customer group by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos customer group to update.

Body parameters

idx integer
pos_profile_id string
customer_group string

Returns

Returns the updated pos customer group object.

PATCH /api/accounts/p-o-s-customer-group/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-customer-group/p-o-s-customer-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"pos_profile_id":"pos_profile_id_example"}'
Response
{
  "id": "p-o-s-customer-group_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "customer_group": "customer_group_example"
}
DELETE /api/accounts/p-o-s-customer-group/{id}

Delete a pos customer group

Permanently deletes a pos customer group. This cannot be undone.

Path parameters

id string required

The identifier of the pos customer group to delete.

Returns

Returns a confirmation that the pos customer group has been deleted.

DELETE /api/accounts/p-o-s-customer-group/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-customer-group/p-o-s-customer-group_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-customer-group_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-customer-group/reorder

Reorder pos customer groups

Updates the sort order of pos customer groups within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/p-o-s-customer-group/reorder
curl https://api.overplane.dev/api/accounts/p-o-s-customer-group/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-customer-group_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "customer_group": "customer_group_example"
}